%define upstream_name    CGI-Test
%define upstream_version 1.111

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Off-line CGI test framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Message)
BuildRequires: perl(Storable) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.820.0
BuildRequires: perl(URI) >= 1.100.0
BuildArch:  noarch

%description
The 'CGI::Test' module provides a CGI regression test framework which
allows you to run your CGI programs offline, i.e. outside a web server, and
interact with them programmatically, without the need to type data and
click from a web browser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.111.0-6.mga10
+ Revision: 2211729
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 1.111.0-5.mga9
+ Revision: 1829925
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.111.0-4.mga8
+ Revision: 1493500
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.111.0-3.mga7
+ Revision: 1266070
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.111.0-2.mga6
+ Revision: 1023826
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 1.111.0-1.mga6
+ Revision: 953177
- update to 1.111

* Thu Jun 25 2015 shlomif <shlomif> 1.110.0-1.mga6
+ Revision: 843059
- update to 1.110

* Wed Oct 15 2014 umeabot <umeabot> 0.510.0-3.mga5
+ Revision: 750554
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.510.0-2.mga5
+ Revision: 683661
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 sander85 <sander85> 0.510.0-1.mga5
+ Revision: 673181
- update to 0.51

* Sat Sep 06 2014 sander85 <sander85> 0.500.0-1.mga5
+ Revision: 672874
- update to 0.50

* Sat May 17 2014 shlomif <shlomif> 0.320.0-1.mga5
+ Revision: 623262
- update to 0.32

* Tue Apr 15 2014 jquelin <jquelin> 0.310.0-1.mga5
+ Revision: 614613
- update to 0.31

* Fri Oct 18 2013 umeabot <umeabot> 0.300.0-3.mga4
+ Revision: 509543
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 363577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.300.0-1.mga3
+ Revision: 254575
- update to 0.3

* Mon May 28 2012 kharec <kharec> 0.2.4-1.mga3
+ Revision: 248295
- update to 0.2.4

* Mon Nov 21 2011 kharec <kharec> 0.2.3-1.mga2
+ Revision: 170325
- update to 0.2.3

* Sun Nov 20 2011 kharec <kharec> 0.2.2-1.mga2
+ Revision: 170105
- make a shorten description
- imported package perl-CGI-Test


* Sun Nov 20 2011 cpan2dist 0.2.2-1mga
- initial mageia release, generated with cpan2dist
